commit:     68ae6ec4f65edc25b59bef4410af33cee8be2df8
Author:     Amy Liffey <amynka <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 31 14:33:38 2019 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Sun Mar 31 14:36:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68ae6ec4

dev-python/theano: version bump 1.0.4

Signed-off-by: Amy Liffey <amynka <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-python/theano/Manifest            |  1 +
 dev-python/theano/theano-1.0.4.ebuild | 51 +++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/theano/Manifest b/dev-python/theano/Manifest
index eec75901f74..50b9a99a9bd 100644
--- a/dev-python/theano/Manifest
+++ b/dev-python/theano/Manifest
@@ -2,3 +2,4 @@ DIST Theano-0.6.0.tar.gz 1763756 BLAKE2B 
d5eddeef1868f4fd6946b2067d0c7264f699650
 DIST Theano-0.7.0.tar.gz 1985387 BLAKE2B 
00d547d5d1f6bb4049a1db71442381ae3803be683975ccca7536b8971e066ac1d09a4fc93a7f70693ae052bbf681e0c59a8b30a326f862f870e10422b438f979
 SHA512 
6e6bf9afdebf3c281d71f5ceda73792e0a52b403b18776a639665767ac73ac4920b5042e29d656d517b8f023e5f9cd5a27086e0456dc40c42abf6f3569da3f06
 DIST Theano-0.8.2.tar.gz 2914631 BLAKE2B 
d136630d689101e9ae47984cd13289b03943276ed0aa606478169d4334a302448f5a2c31d65b1e6d571648772d6f0760cc004f2eefd86d41d72f2b0270017763
 SHA512 
d7bad7ed4c9453470b66df2ada4587fbe9effc134c0604d11576630a613568386d41aa7dd4a77f8b7a1eb6d8a2f76a8e809b1ac3ae18c85a0c55ba4a059b865e
 DIST Theano-0.9.0.tar.gz 3116713 BLAKE2B 
bf38d3c504909caa7aaf8e704a6afc86ab56810199190a0a6beb86ff5e0f9a75c8681dee1f1411ddcfa40739576e4d725c2423e74a32e796987fbd4b09ffde76
 SHA512 
e0e59256d2442f929fb120b4b21cab735e0a8ba087c4ea7d7caeabe8fa30cc19a46181fe1b4e268e778344fb3506eb20d8090dfc8d2a499c1bf84b07352686ab
+DIST Theano-1.0.4.tar.gz 2840691 BLAKE2B 
7f89caee3dd50d75ff09693fde7926f2b7da0f94758ef932f207feea29d74d38ed56591e6ebe0b46cfa043d5fb46d5b97028171acdfd324a01eb7b904169b4ac
 SHA512 
3cc7f9dbb606c3c997c8651c34dd861721d5a8b99d06ed0887306d5a5ad0d7e402fbe29dcb5ad2f513b3bf75966e41a2854ebdf9a4fb212607345f84f367de8c

diff --git a/dev-python/theano/theano-1.0.4.ebuild 
b/dev-python/theano/theano-1.0.4.ebuild
new file mode 100644
index 00000000000..645f4a198a3
--- /dev/null
+++ b/dev-python/theano/theano-1.0.4.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Define and optimize multi-dimensional arrays mathematical 
expressions"
+HOMEPAGE="https://github.com/Theano/Theano";
+SRC_URI="mirror://pypi/theano/${PN^}/${PN^}-${PV}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       sci-libs/scipy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+          dev-python/flake8[${PYTHON_USEDEP}]
+          dev-python/nose[${PYTHON_USEDEP}]
+          dev-python/parameterized[${PYTHON_USEDEP}]
+          dev-python/pyflakes[${PYTHON_USEDEP}]
+       )"
+
+S="${WORKDIR}/${PN^}-${PV}"
+
+python_prepare_all() {
+       # remove bundled six
+       find -type f -name "*.py" -exec \
+                sed -e 's:theano.compat.six:six:g' -i '{}' + || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       distutils_install_for_testing
+       nosetests --verbosity=3 || die
+}
+
+pkg_postinst() {
+       optfeature "Make picture of Theano computation graph" 
dev-python/pydot-ng
+       optfeature "Required for GPU/CPU code generation" dev-python/pygpu
+}

Reply via email to